org.apache.ignite.cache

## Enum CacheWriteSynchronizationMode

- java.lang.Object
- - java.lang.Enum<CacheWriteSynchronizationMode>
  - - org.apache.ignite.cache.CacheWriteSynchronizationMode

All Implemented Interfaces:
  Serializable, Comparable<CacheWriteSynchronizationMode>

    public enum CacheWriteSynchronizationMode
    extends Enum<CacheWriteSynchronizationMode>

Mode indicating how Ignite should wait for write replies from other nodes. Default value is `FULL_ASYNC`}, which means that Ignite will not wait for responses from participating nodes. This means that by default remote nodes may get their state updated slightly after any of the cache write methods complete, or after `Transaction.commit()` method completes.

Note that regardless of write synchronization mode, cache data will always remain fully consistent across all participating nodes.

Write synchronization mode may be configured via `CacheConfiguration.getWriteSynchronizationMode()` configuration property.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FULL_ASYNC` Flag indicating that Ignite will not wait for write or commit responses from participating nodes, which means that remote nodes may get their state updated a bit after any of the cache write methods complete, or after `Transaction.commit()` method completes.
`FULL_SYNC` Flag indicating that Ignite should wait for write or commit replies from all nodes.
`PRIMARY_SYNC` This flag only makes sense for `CacheMode.PARTITIONED` mode.

### Method Summary

Methods
`static CacheWriteSynchronizationMode` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static CacheWriteSynchronizationMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheWriteSynchronizationMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FULL_SYNC

    public static final CacheWriteSynchronizationMode FULL_SYNC

Flag indicating that Ignite should wait for write or commit replies from all nodes. This behavior guarantees that whenever any of the atomic or transactional writes complete, all other participating nodes which cache the written data have been updated.

#### FULL_ASYNC

    public static final CacheWriteSynchronizationMode FULL_ASYNC

Flag indicating that Ignite will not wait for write or commit responses from participating nodes, which means that remote nodes may get their state updated a bit after any of the cache write methods complete, or after `Transaction.commit()` method completes.

#### PRIMARY_SYNC

    public static final CacheWriteSynchronizationMode PRIMARY_SYNC

This flag only makes sense for `CacheMode.PARTITIONED` mode. When enabled, Ignite will wait for write or commit to complete on `primary` node, but will not wait for backups to be updated.

### Method Detail

#### values

    public static CacheWriteSynchronizationMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CacheWriteSynchronizationMode c : CacheWriteSynchronizationMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CacheWriteSynchronizationMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static CacheWriteSynchronizationMode fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015